% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/RangedRaggedAssay-class.R
\name{RangedRaggedAssay}
\alias{RangedRaggedAssay}
\title{Create a RangedRaggedAssay}
\usage{
RangedRaggedAssay(x = GRangesList())
}
\arguments{
\item{x}{A \code{list}, \code{GRanges} or \code{GRangesList} object}
}
\value{
A \code{\linkS4class{RangedRaggedAssay}} class object
}
\description{
Construct an object representing ranged-based data, typically from a
\code{\link{GRangesList}}. The assay method will extract a particular column
from the metadata and represent it in a matrix. See the \code{show} method
for an example.
}
\section{Deprecated}{

The \code{RangedRaggedAssay} class is \strong{deprecated} and defunct by the next
release cycle. Please use the \strong{RaggedExperiment} class to represent
copy number, mutation and other genomic range based data. See
\code{RaggedExperiment} for more detail.
}

\examples{
## Create an example GRangesList object
library(GenomicRanges)
gr1 <-
  GRanges(seqnames = "chr3", ranges = IRanges(58000000, 59502360),
          strand = "+", score = 5L, GC = 0.45)
gr2 <-
  GRanges(seqnames = c("chr3", "chr3"),
          ranges = IRanges(c(58493000, 3), width = 9000),
          strand = c("+", "-"), score = 3:4, GC = c(0.3, 0.5))
gr3 <-
  GRanges(seqnames = c("chr1", "chr2"),
          ranges = IRanges(c(1, 4), c(3, 9)),
          strand = c("-", "-"), score = c(6L, 2L), GC = c(0.4, 0.1))

grl <- GRangesList("gr1" = gr1, "gr2" = gr2, "gr3" = gr3)
names(grl) <- c("snparray1", "snparray2", "snparray3")

## Create a RangedRaggedAssay object class
myRRA <- RangedRaggedAssay(grl)
}
\seealso{
\code{\link{assay,RangedRaggedAssay,missing-method}}
}
